<div class="list-item" *ngIf="!!item">
  <div class="content">
    <div class="image">
      <div
        class="image-bg"
        style="background-image: url('{{ imageData }}');"
      ></div>
    </div>
    <div class="description">
      <h3>{{ titleData }}</h3>
      <p>{{ descriptionData }}</p>
      <span>{{ priceData }}</span>
      <p>Designs may vary</p>
    </div>
  </div>
</div>
<hr />
<div class="form-container" *ngIf="!this.saved">
  <form [formGroup]="bookingForm" (submit)="saveData()">
    <div class="form-body">
      <div class="form-group">
        <label class="form-control-label" for="dates">Dates</label>
        <input
          class="form-control"
          type="text"
          id="dates"
          formControlName="dates"
        />
        <span
          *ngIf="datesVal.touched && datesVal.hasError('required')"
          class="has-error"
          >This field is required</span
        >
      </div>
      <div class="form-group">
        <label class="form-control-label" for="firstName">First Name</label>
        <input
          class="form-control"
          type="text"
          id="firstName"
          name="firstName"
          formControlName="firstName"
        />
        <span
          *ngIf="firstNameVal.touched && firstNameVal.hasError('required')"
          class="has-error"
          >This field is required</span
        >
      </div>
      <div class="form-group">
        <label class="form-control-label" for="lastName">Last Name</label>
        <input
          class="form-control"
          type="text"
          id="lastName"
          name="lastName"
          formControlName="lastName"
        />
        <span
          *ngIf="lastNameVal.touched && lastNameVal.hasError('required')"
          class="has-error"
          >This field is required</span
        >
      </div>
      <div class="form-group">
        <label class="form-control-label" for="emailAddress"
          >Email Address</label
        >
        <input
          class="form-control"
          type="email"
          id="emailAddress"
          name="emailAddress"
          formControlName="emailAddress"
        />
        <span
          *ngIf="
          emailVal.touched && emailVal.hasError('required')
          "
          class="has-error"
          >This field is required</span
        >
        <span
          *ngIf="emailVal.touched && emailVal.hasError('email')"
          class="has-error"
          >You must enter a valid email address</span
        >
      </div>
    </div>
    <div class="form-footer">
      <button type="submit" [disabled]="!bookingForm.valid" class="orange">Book Now</button>
    </div>
  </form>
</div>
<div class="centered" *ngIf="this.saved">
  <p>Booking Successful!!</p>
  <p><a routerLink="/">Go  Back to home page</a></p>
</div>
